import { _decorator } from 'cc';
import { ResKeeper } from '../res/ResKeeper';

export class NodeEx extends ResKeeper {

    private _node_id: number | string = null;
    private _use_time = -1;

    set useTime(time: number) {
        this._use_time = time;
    }

    get useTime() {
        return this._use_time;
    }

    set node_id(id: number | string) {
        this._node_id = id;
    }

    get node_id() {
        return this._node_id;
    }

    //放进池中时调用
    unuse() {
       
     }

    //从池中取出时会调用
    reuse(...val: any[]) { }
}